Subject: Re: [pim] FW: Routing Area organization

From: Toerless Eckert <[email-masked]>
Date: Mon, 30 Jun 2014 13:57:58 -0700

On Mon, Jun 30, 2014 at 09:23:50PM +0100, Abdussalam Baryun wrote:
> >
> > I am not sure why to leave PIM alone. The PIM is a protocol focus group,
> so it should be more functional focus, maybe focus on multicast functions.

AFAIK, it already has that focus if you read the charter, eg:
in general it deals with all IP multicast routing/protocol issues, eg: for
example anything MAGMA was doing previously. Multicast things
are only done in other WGs when it is multicast+FOO and FOO-WG
feels they want to own it. Which in general is a good thing because
it help to ensure multicast+FOO becomes more mainstrain within FOO.

I may be wrong. Cc'ed the WG for further clarification.

The working group name has only been kept for historic fondness.

> Also other WG that focus on one protocol should consider discussing their
> WG because usually the ones in protocol-WG are more aware to adapt to other
> functions.

Agreed. Functional grouping is certainly more desirable than protocol
centric WGs.

Cheers
    Toerless
> AB

> _______________________________________________
> routing-discussion mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/routing-discussion

---

From: Stig Venaas <[email-masked]>
Date: Mon, 30 Jun 2014 19:22:47 -0700

Hi

> it help to ensure multicast+FOO becomes more mainstrain within FOO.

Yes, it's basically multicast protocol work at this point. For multicast
we have mboned which is operational, and pim which is protocols. You're
right that if it is multicast+FOO, then it is usually done in FOO, which
I also think is good.

Stig